#!/bin/sh

echo "Installing BATWING"

cd $TOOLS_PATH || exit 1

if  [ "$INSTALL_BATWING" = "true" ]
    then
        echo "bitools-->Downloading: "
        echo "bitools->BATWING v.${BATWING_VERSION}"
        ######################################
        #######     INSTALLATION OF BATWING
        ######################################

        sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/BATWING-${BATWING_VERSION} || exit 1
        wget -c --progress=dot $server/batwing-${BATWING_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "bitools!Failed to download BATWING binaries"
            exit 1
        fi
        echo "bitools++"     
        echo "bitools-->Installing: "
        echo "bitools->BATWING v.${BATWING_VERSION}"
        
        sudo -u $PL_USER tar xmvzf batwing-${BATWING_VERSION}.tar.gz || exit 1
        sudo -u $PL_USER rm -f batwing-${BATWING_VERSION}.tar.gz || exit 1
        echo "bitools++"
    fi

    if [ "$INSTALL_BATWING_SERVERLIB" = "true" ]
    then
		cd -
		. install_files/installWorkflows.sh
    fi
echo "Installation Complete!"
