#!/bin/sh

echo "Installing BAYESASS"


cd $TOOLS_PATH || exit 1

    ################################# BayesAss 5 steps
    if  [ "$INSTALL_BAYESASS" = "true" ]
    then
        echo "bitools-->Downloading: "
        echo "bitools->BayesAss v.${BAYESASS_VERSION}"
        ######################################
        #######     INSTALLATION OF BAYESASS
        ######################################
        sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/BayesAss-${BAYESASS_VERSION} || exit 1
        wget -c --progress=dot $server/bayesass-${BAYESASS_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "bitools!Failed to download BAYESASS binaries"
 	        exit 1
        fi

        echo "bitools++"     
        echo "bitools-->Installing: "
        echo "bitools->BayesAss v.${BAYESASS_VERSION}"
        
        sudo -u $PL_USER tar xmvzf bayesass-${BAYESASS_VERSION}.tar.gz || exit 1
        sudo -u $PL_USER rm -f bayesass-${BAYESASS_VERSION}.tar.gz || exit 1
        echo "bitools+=2"
    fi

    if [ "$INSTALL_BAYESASS_SERVERLIB" = "true" ]
    then
        cd -
		. install_files/installWorkflows.sh
    fi
echo "Installation Complete!"