#!/bin/sh

echo "Installing BrainSuite"


#cd $TOOLS_PATH || exit 1
################################# BrainSuite 7 steps

    if [ "$INSTALL_BRAINSUITE_SERVERLIB" = "true" ]; then
	#cd -
	. install_files/installWorkflows.sh	
    fi

    cd $TOOLS_PATH || exit 1	
    if  [ "$INSTALL_BRAINSUITE" = "true" ]; then

	echo "nitools-->Downloading: "
        echo "nitools->Brainsuite v.${BRAINSUITE_VERSION}"

        wget -c --progress=dot $server/brainsuite11a.tar.gz
	if [ $? -ne 0 ]; then
            echo "nitools!Failed to download BRAINSUITE binaries"
            exit 1
        fi
	
        brainsuite_tar="brainsuite11a.tar.gz"
	
	sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/BrainSuite-${BRAINSUITE_VERSION} || exit 1
	BRAINSUITE_ARCHIVE_LOCATION=$TOOLS_PATH/$brainsuite_tar
        
        echo "nitools-->Installing: "
        echo "nitools->Brainsuite v.${BRAINSUITE_VERSION}"

	echo "nitools+=2"
        sudo -u $PL_USER tar xmvzf $BRAINSUITE_ARCHIVE_LOCATION || exit 1
        echo "nitools+=3"
        sudo -u $PL_USER ln -s $TOOLS_PATH/BrainSuite-${BRAINSUITE_VERSION} $TOOLS_PATH/BRAINSUITE || exit 1		
        sudo -u $PL_USER rm -f $BRAINSUITE_ARCHIVE_LOCATION || exit 1	
        echo "nitools+=2"

        # download and install glue
        cd $TOOLS_PATH/BrainSuite-${BRAINSUITE_VERSION}
        wget -c --progress=dot $server/brainsuite_data.tar.gz
        if [ $? -ne 0 ]; then
            echo "nitools!Failed to download brainsuite glue"
            exit 1
        fi
        sudo -u $PL_USER tar xmvzf brainsuite_data.tar.gz
        echo "nitools++"
        sudo -u $PL_USER rm brainsuite_data.tar.gz
        echo "nitools++"
    fi

echo "Installation Complete!"
