#!/bin/sh

echo "Installing MINC"


cd $TOOLS_PATH || exit 1

    ################################# MINC 6 steps
    if  [ "$INSTALL_MINC" = "true" ]; then
        echo "nitools-->Downloading: "
        echo "nitools->MINC v.${MINC_VERSION}"
        wget -c --progress=dot $server/minc-${MINC_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "nitools!Failed to download MINC binaries"
 	        exit 1
        fi

        echo "nitools+=5"
        echo "nitools-->Installing: "
        echo "nitools->MINC v.${MINC_VERSION}"

        sudo -u $PL_USER tar xmvzf minc-${MINC_VERSION}.tar.gz || exit 1
        echo "nitools+=2"
        rm -f minc-${MINC_VERSION}.tar.gz || exit 1
        echo "nitools++"
    fi

    if [ "$INSTALL_MINC_SERVERLIB" = "true" ]; then
        cd -
		. install_files/installWorkflows.sh
    fi

echo "Installation Complete!"

