#!/bin/sh

echo "Installing Migrate"


cd $TOOLS_PATH || exit 1

    ################################# Migrate 4 steps
    if  [ "$INSTALL_MIGRATE" = "true" ]
    then
        echo "bitools-->Downloading: "
        echo "bitools->Migrate v.${MIGRATE_VERSION}"
        ######################################
        #######     INSTALLATION OF MIGRATE
        ######################################
        sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/Migrate-${MIGRATE_VERSION} || exit 1
	wget -c --progress=dot $server/migrate-${MIGRATE_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "bitools!Failed to download Migrate binaries"
 	        exit 1
        fi
        echo "bitools++"     
        echo "bitools-->Installing: "
        echo "bitools->Migrate v.${MIGRATE_VERSION}"
        
        sudo -u $PL_USER tar xmvzf migrate-${MIGRATE_VERSION}.tar.gz || exit 1
        sudo -u $PL_USER rm -f migrate-${MIGRATE_VERSION}.tar.gz || exit 1
        echo "bitools++"
    fi

    if [ "$INSTALL_MIGRATE_SERVERLIB" = "true" ]
    then
        cd -
		. install_files/installWorkflows.sh
    fi
echo "Installation Complete!"
