#!/bin/sh

echo "Installing GAMMA"


cd $TOOLS_PATH || exit 1

################################# GAMMA 10 steps
    if  [ "$INSTALL_GAMMA" = "true" ]; then
        echo "nitools-->Downloading: "
        echo "nitools->GAMMA v.${GAMMA_VERSION}"

        wget -c --progress=dot $server/gamma-${GAMMA_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "nitools!Failed to download GAMMA binaries"
 	        exit 1
        fi
        echo "nitools+=5"
        echo "nitools-->Installing: "
        echo "nitools->GAMMA v.${GAMMA_VERSION}"
            
        echo "nitools+=3"
        sudo -u $PL_USER tar xmvzf gamma-${GAMMA_VERSION}.tar.gz || exit 1
        echo "nitools++"
        rm -f gamma-${GAMMA_VERSION}.tar.gz || exit 1
        echo "nitools++"
    fi

    if [ "$INSTALL_GAMMA_SERVERLIB" = "true" ]; then
		cd -
		. install_files/installWorkflows.sh
    fi

echo "Installation Complete!"