#!/bin/sh

echo "Installing ITK"


cd $TOOLS_PATH || exit 1

    ################################# ITK 20 steps
    if  [ "$INSTALL_ITK" = "true" ]; then
        echo "nitools-->Downloading: "
        echo "nitools->ITK v.${ITK_VERSION}"
        wget -c --progress=dot $server/itk-${ITK_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
	        echo "nitools!Failed to download ITK binaries"
 	        exit 1
        fi

        echo "nitools+=10"
        echo "nitools-->Installing: "
        echo "nitools->ITK v.${ITK_VERSION}"

        echo "nitools+=4"
        sudo -u $PL_USER tar xmvzf itk-${ITK_VERSION}.tar.gz || exit 1
        echo "nitools+=4"
        rm -f itk-${ITK_VERSION}.tar.gz || exit 1
        echo "nitools+=2"
    fi

    if [ "$INSTALL_ITK_SERVERLIB" = "true" ]; then
		cd -
		. install_files/installWorkflows.sh
    fi

echo "Installation Complete!"

