#!/bin/sh

cd $TOOLS_PATH || exit 1

	    ################################# SPM 10 steps
    if  [ "$INSTALL_SPM8" = "true" ]; then
		if [ ! -z $MCR_ARCHIVE_LOCATION ]; then 
            echo "nitools-->Downloading: "
            echo "nitools->SPM v.${SPM_VERSION}"
	      
	        echo "nitools++"
            wget -c --progress=dot $server/spm8-${SPM_VERSION}.tar.gz
              
	        if [ $? -ne 0 ]; then
                echo "nitools!Failed to download SPM binaries"
                 exit 1
            fi

            echo "nitools+=3"

            echo "nitools-->Installing: "
            echo "nitools->SPM v.${SPM_VERSION}"

            echo "nitools++"
            sudo -u $PL_USER tar xmvzf spm8-${SPM_VERSION}.tar.gz || exit 1
            echo "nitools+=3"
            rm -f spm8-${SPM_VERSION}.tar.gz || exit 1
            echo "nitools++"
		else 
		   echo 'nitools@SPM8@http://www.mathworks.com/products/compiler/mcr/@<b>After your browser opens, follow these instructions:</b><br>1. Select the 64-bit Linux download link of version R2012a (7.17) of the MCR.<br>2. Save the file to your machine and continue to Step 2.@MCR'
        fi
	fi
	if [ "$INSTALL_SPM8_SERVERLIB" = "true" ]; then
		cd -
		. install_files/installWorkflows.sh
    fi
