#!/bin/sh

echo "Installing miBLAST"


cd $TOOLS_PATH || exit 1

    ################################# miBLAST 24 steps
    if  [ "$INSTALL_MIBLAST" = "true" ]
    then
        echo "bitools-->Downloading: "
        echo "bitools->miBLAST v.${MIBLAST_VERSION}"
        ######################################
        #######     INSTALLATION OF MIBLAST
        ######################################

        sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/miBLAST-${MIBLAST_VERSION} || exit 1
        
        wget -c --progress=dot $server/miblast-${MIBLAST_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "bitools!Failed to download miBLAST binaries"
 	        exit 1
        fi
        echo "bitools+=10"        
        echo "bitools-->Installing: "
        echo "bitools->miBLAST v.${MIBLAST_VERSION}"
            
        sudo -u $PL_USER tar xmvzf miblast-${MIBLAST_VERSION}.tar.gz || exit 1
        sudo -u $PL_USER rm -f miblast-${MIBLAST_VERSION}.tar.gz || exit 1
        echo "bitools+=10"
    fi

    if [ "$INSTALL_MIBLAST_SERVERLIB" = "true" ]
    then
        cd -
		. install_files/installWorkflows.sh
    fi
echo "Installation Complete!"